Package wx :: Package lib :: Module mvctree :: Class TreePainter

[frames | no frames]

## Class TreePainter

    Painter --+
              |
             TreePainter

The default painter class. Uses double-buffering, delegates the painting of nodes and lines to helper classes deriving from NodePainter and LinePainter.

Method Summary
| `__init__(self, tree, nodePainter, linePainter, textConverter)`
| `GetDashPen(self)`
| `OnMouse(self, evt)`
| `Paint(self, dc, node, doubleBuffered, paintBackground)`
| `paintWalk(self, node, dc, paintRects)`
| `SetLinePen(self, pen)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:44 2007 | http://epydoc.sf.net